=== test/action/CMakeLists.txt ===
rv3_add_test(test.act.concepts act.concepts cont_concepts.cpp)
rv3_add_test(test.act.drop act.drop drop.cpp)
rv3_add_test(test.act.drop_while act.drop_while drop_while.cpp)
rv3_add_test(test.act.insert act.insert insert.cpp)
rv3_add_test(test.act.join act.join join.cpp)
rv3_add_test(test.act.push_front act.push_front push_front.cpp)
rv3_add_test(test.act.push_back act.push_back push_back.cpp)
rv3_add_test(test.act.remove_if act.remove_if remove_if.cpp)
rv3_add_test(test.act.reverse act.reverse reverse.cpp)
rv3_add_test(test.act.shuffle act.shuffle shuffle.cpp)
rv3_add_test(test.act.slice act.slice slice.cpp)
rv3_add_test(test.act.sort act.sort sort.cpp)
rv3_add_test(test.act.split act.split split.cpp)
rv3_add_test(test.act.stable_sort act.stable_sort stable_sort.cpp)
rv3_add_test(test.act.stride act.stride stride.cpp)
rv3_add_test(test.act.take act.take take.cpp)
rv3_add_test(test.act.take_while act.take_while take_while.cpp)
rv3_add_test(test.act.transform act.transform transform.cpp)
rv3_add_test(test.act.unique act.unique unique.cpp)
