=== test/utility/CMakeLists.txt ===
rv3_add_test(test.utility.basic_iterator utility.basic_iterator basic_iterator.cpp)
rv3_add_test(test.utility.concepts utility.concepts concepts.cpp)
rv3_add_test(test.utility.common_type utility.common_type common_type.cpp)
rv3_add_test(test.utility.functional utility.functional functional.cpp)
rv3_add_test(test.utility.iterator utility.iterator iterator.cpp)
rv3_add_test(test.utility.common_iterator utility.common_iterator common_iterator.cpp)
rv3_add_test(test.utility.reverse_iterator utility.reverse_iterator reverse_iterator.cpp)
rv3_add_test(test.utility.swap utility.swap swap.cpp)
rv3_add_test(test.utility.variant utility.variant variant.cpp)
rv3_add_test(test.utility.meta utility.meta meta.cpp)
rv3_add_test(test.utility.scope_exit utility.scope_exit scope_exit.cpp)
