=== test/view/CMakeLists.txt ===
rv3_add_test(test.view.adjacent_remove_if view.adjacent_remove_if adjacent_remove_if.cpp)
rv3_add_test(test.view.all view.all all.cpp)
rv3_add_test(test.view.any_view view.any_view any_view.cpp)
rv3_add_test(test.view.bounded view.bounded bounded.cpp)
rv3_add_test(test.view.cartesian_product view.cartesian_product cartesian_product.cpp)
rv3_add_test(test.view.chunk view.chunk chunk.cpp)
rv3_add_test(test.view.concat view.concat concat.cpp)
rv3_add_test(test.view.const view.const const.cpp)
rv3_add_test(test.view.counted view.counted counted.cpp)
rv3_add_test(test.view.cycle view.cycle cycle.cpp)
rv3_add_test(test.view.delimit view.delimit delimit.cpp)
rv3_add_test(test.view.drop view.drop drop.cpp)
rv3_add_test(test.view.drop_exactly view.drop_exactly drop_exactly.cpp)
rv3_add_test(test.view.drop_while view.drop_while drop_while.cpp)
rv3_add_test(test.view.exclusive_scan view.exclusive_scan exclusive_scan.cpp)
rv3_add_test(test.view.generate view.generate generate.cpp)
rv3_add_test(test.view.generate_n view.generate_n generate_n.cpp)
rv3_add_test(test.view.group_by view.group_by group_by.cpp)
rv3_add_test(test.view.indirect view.indirect indirect.cpp)
rv3_add_test(test.view.intersperse view.intersperse intersperse.cpp)
rv3_add_test(test.view.iota view.iota iota.cpp)
rv3_add_test(test.view.join view.join join.cpp)
rv3_add_test(test.view.linear_distribute view.linear_distribute linear_distribute.cpp)
rv3_add_test(test.view.map view.map keys_value.cpp)
rv3_add_test(test.view.move view.move move.cpp)
rv3_add_test(test.view.partial_sum view.partial_sum partial_sum.cpp)
rv3_add_test(test.view.repeat view.repeat repeat.cpp)
rv3_add_test(test.view.remove_if view.remove_if remove_if.cpp)
rv3_add_test(test.view.replace view.replace replace.cpp)
rv3_add_test(test.view.replace_if view.replace_if replace_if.cpp)
rv3_add_test(test.view.reverse view.reverse reverse.cpp)
rv3_add_test(test.view.sample view.sample sample.cpp)
rv3_add_test(test.view.set_difference view.set_difference set_difference.cpp)
rv3_add_test(test.view.set_intersection view.set_intersection set_intersection.cpp)
rv3_add_test(test.view.set_symmetric_difference view.set_symmetric_difference set_symmetric_difference.cpp)
rv3_add_test(test.view.set_union view.set_union set_union.cpp)
rv3_add_test(test.view.slice view.slice slice.cpp)
rv3_add_test(test.view.sliding view.sliding sliding.cpp)
rv3_add_test(test.view.split view.split split.cpp)
rv3_add_test(test.view.stride view.stride stride.cpp)
rv3_add_test(test.view.tail view.tail tail.cpp)
rv3_add_test(test.view.take view.take take.cpp)
rv3_add_test(test.view.take_exactly view.take_exactly take_exactly.cpp)
rv3_add_test(test.view.take_while view.take_while take_while.cpp)
rv3_add_test(test.view.tokenize view.tokenize tokenize.cpp)
rv3_add_test(test.view.transform view.transform transform.cpp)
rv3_add_test(test.view.unique view.unique unique.cpp)
rv3_add_test(test.view.zip view.zip zip.cpp)
