=== test/experimental/view/CMakeLists.txt ===
rv3_add_test(test.view.shared view.shared shared.cpp)
