=== debian/changelog ===
range-v3 (0.4.0-2) unstable; urgency=medium

  * Fix FTBFS with GCC 8.3.0 (closes: #926218).
    - Ignore false positive warning "maybe-uninitialized"
    - Rewrite the ranges_append_flag macro to avoid errors "unrecognized
      command line option".

 -- Nicholas Guriev <guriev-ns@ya.ru>  Sat, 27 Apr 2019 09:53:30 +0300

range-v3 (0.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Wed, 14 Nov 2018 21:34:48 +0300

range-v3 (0.3.7-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version to 4.2.1, no changes for this.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Mon, 01 Oct 2018 08:49:19 +0300
