=== debian/control ===
Source: range-v3
Section: libdevel
Priority: optional
Maintainer: Nicholas Guriev <guriev-ns@ya.ru>
Build-Depends: debhelper (>=11)
Build-Depends-Indep: cmake (>=3.6), doxygen-latex <!nodoc>
Standards-Version: 4.2.1
Rules-Requires-Root: no
Homepage: https://github.com/ericniebler/range-v3
Vcs-Git: https://salsa.debian.org/debian/range-v3.git
Vcs-Browser: https://salsa.debian.org/debian/range-v3

Package: librange-v3-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: librange-v3-doc
Description: range algorithms, views, and actions for C++11/14/17 - headers
 Range-v3 is a generic library that augments the existing standard library with
 facilities for working with ranges. A range can be loosely thought of a pair
 of iterators. This library provides a full implementation of all the standard
 algorithms with range-based overloads for convenience.
 .
 This package contains headers of the library.

Package: librange-v3-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: range algorithms, views, and actions for C++11/14/17 - documentation
 Range-v3 is a generic library that augments the existing standard library with
 facilities for working with ranges. A range can be loosely thought of a pair
 of iterators. This library provides a full implementation of all the standard
 algorithms with range-based overloads for convenience.
 .
 This package ships HTML documentation of the library.
