=== test/algorithm/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,7 @@
+set(CMAKE_FOLDER "${CMAKE_FOLDER}/algorithm")
+
 rv3_add_test(test.alg.adjacent_find alg.adjacent_find adjacent_find.cpp)
+rv3_add_test(test.alg.adjacent_remove_if alg.adjacent_remove_if adjacent_remove_if.cpp)
 rv3_add_test(test.alg.all_of alg.all_of all_of.cpp)
 rv3_add_test(test.alg.any_of alg.any_of any_of.cpp)
 rv3_add_test(test.alg.none_of alg.none_of none_of.cpp)
@@ -7,6 +10,7 @@
 rv3_add_test(test.alg.copy_backward alg.copy_backward copy_backward.cpp)
 rv3_add_test(test.alg.count alg.count count.cpp)
 rv3_add_test(test.alg.count_if alg.count_if count_if.cpp)
+rv3_add_test(test.alg.ends_with alg.ends_with ends_with.cpp)
 rv3_add_test(test.alg.equal alg.equal equal.cpp)
 rv3_add_test(test.alg.equal_range alg.equal_range equal_range.cpp)
 rv3_add_test(test.alg.fill alg.fill fill.cpp)
@@ -99,6 +103,7 @@
 rv3_add_test(test.alg.sort_heap alg.sort_heap sort_heap.cpp)
 rv3_add_test(test.alg.stable_partition alg.stable_partition stable_partition.cpp)
 rv3_add_test(test.alg.stable_sort alg.stable_sort stable_sort.cpp)
+rv3_add_test(test.alg.starts_with alg.starts_with starts_with.cpp)
 rv3_add_test(test.alg.swap_ranges alg.swap_ranges swap_ranges.cpp)
 rv3_add_test(test.alg.transform alg.transform transform.cpp)
 rv3_add_test(test.alg.unique alg.unique unique.cpp)
