=== test/view/CMakeLists.txt ===
--- 
+++ 
@@ -1,30 +1,43 @@
+set(CMAKE_FOLDER "${CMAKE_FOLDER}/view")
+
+rv3_add_test(test.view.adaptor view.adaptor adaptor.cpp)
+rv3_add_test(test.view.addressof view.addressof addressof.cpp)
 rv3_add_test(test.view.adjacent_remove_if view.adjacent_remove_if adjacent_remove_if.cpp)
 rv3_add_test(test.view.all view.all all.cpp)
 rv3_add_test(test.view.any_view view.any_view any_view.cpp)
-rv3_add_test(test.view.bounded view.bounded bounded.cpp)
+rv3_add_test(test.view.common view.common common.cpp)
 rv3_add_test(test.view.cartesian_product view.cartesian_product cartesian_product.cpp)
 rv3_add_test(test.view.chunk view.chunk chunk.cpp)
 rv3_add_test(test.view.concat view.concat concat.cpp)
 rv3_add_test(test.view.const view.const const.cpp)
+rv3_add_test(test.view.conversion view.conversion conversion.cpp)
 rv3_add_test(test.view.counted view.counted counted.cpp)
 rv3_add_test(test.view.cycle view.cycle cycle.cpp)
 rv3_add_test(test.view.delimit view.delimit delimit.cpp)
 rv3_add_test(test.view.drop view.drop drop.cpp)
 rv3_add_test(test.view.drop_exactly view.drop_exactly drop_exactly.cpp)
 rv3_add_test(test.view.drop_while view.drop_while drop_while.cpp)
+rv3_add_test(test.view.drop_last view.drop_last drop_last.cpp)
+rv3_add_test(test.view.enumerate view.enumerate enumerate.cpp)
 rv3_add_test(test.view.exclusive_scan view.exclusive_scan exclusive_scan.cpp)
+rv3_add_test(test.view.facade view.facade facade.cpp)
 rv3_add_test(test.view.generate view.generate generate.cpp)
 rv3_add_test(test.view.generate_n view.generate_n generate_n.cpp)
+rv3_add_test(test.view.getlines view.getlines getlines.cpp)
 rv3_add_test(test.view.group_by view.group_by group_by.cpp)
 rv3_add_test(test.view.indirect view.indirect indirect.cpp)
 rv3_add_test(test.view.intersperse view.intersperse intersperse.cpp)
 rv3_add_test(test.view.iota view.iota iota.cpp)
+rv3_add_test(test.view.istream view.istream istream.cpp)
+rv3_add_test(test.view.iterator_range view.iterator_range iterator_range.cpp)
 rv3_add_test(test.view.join view.join join.cpp)
 rv3_add_test(test.view.linear_distribute view.linear_distribute linear_distribute.cpp)
 rv3_add_test(test.view.map view.map keys_value.cpp)
 rv3_add_test(test.view.move view.move move.cpp)
 rv3_add_test(test.view.partial_sum view.partial_sum partial_sum.cpp)
+# rv3_add_test(test.view.partial_sum_depr view.partial_sum_depr partial_sum_depr.cpp)
 rv3_add_test(test.view.repeat view.repeat repeat.cpp)
+rv3_add_test(test.view.remove view.remove remove.cpp)
 rv3_add_test(test.view.remove_if view.remove_if remove_if.cpp)
 rv3_add_test(test.view.replace view.replace replace.cpp)
 rv3_add_test(test.view.replace_if view.replace_if replace_if.cpp)
@@ -36,13 +49,20 @@
 rv3_add_test(test.view.set_union view.set_union set_union.cpp)
 rv3_add_test(test.view.slice view.slice slice.cpp)
 rv3_add_test(test.view.sliding view.sliding sliding.cpp)
+rv3_add_test(test.view.span view.span span.cpp)
 rv3_add_test(test.view.split view.split split.cpp)
 rv3_add_test(test.view.stride view.stride stride.cpp)
+rv3_add_test(test.view.subrange view.subrange subrange.cpp)
 rv3_add_test(test.view.tail view.tail tail.cpp)
 rv3_add_test(test.view.take view.take take.cpp)
 rv3_add_test(test.view.take_exactly view.take_exactly take_exactly.cpp)
+rv3_add_test(test.view.take_last view.take_last take_last.cpp)
 rv3_add_test(test.view.take_while view.take_while take_while.cpp)
 rv3_add_test(test.view.tokenize view.tokenize tokenize.cpp)
 rv3_add_test(test.view.transform view.transform transform.cpp)
+rv3_add_test(test.view.trim view.trim trim.cpp)
 rv3_add_test(test.view.unique view.unique unique.cpp)
+rv3_add_test(test.view.view view.view view.cpp)
 rv3_add_test(test.view.zip view.zip zip.cpp)
+
+target_compile_definitions(view.iterator_range PRIVATE RANGES_DISABLE_DEPRECATED_WARNINGS)
