=== debian/changelog ===
range-v3 (0.9.1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 19 Oct 2019 13:04:58 -0700

range-v3 (0.9.1-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Wed, 04 Sep 2019 00:04:35 +0300

range-v3 (0.9.0-1~exp1) experimental; urgency=medium

  * New upstream release.
    - Fixes FTBFS with GCC 9 (closes: #934838).
    - Removes support of C++11.
  * New build dependency, Boost, to build the calendar example.
  * Delete Check-Wno-flags.patch as applied by upstream.
  * Remove workaround with -Wno-error=maybe-uninitialized.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Sat, 31 Aug 2019 09:46:13 +0300

range-v3 (0.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compatibility level to 12, no related changes.
  * Bump standards version to 4.4.0, no related changes.

 -- Nicholas Guriev <guriev-ns@ya.ru>  Fri, 02 Aug 2019 17:17:56 +0300
